<template>
  <div class="layout">
    <TopNavBar />
    <router-view/>
    <FooterBar />
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import TopNavBar from "@/components/TopNavBar.vue";
import FooterBar from "@/components/FooterBar.vue";

export default defineComponent({
  name: "App",
  components: {
    TopNavBar,
    FooterBar
  }
})
</script>

<style lang="scss">
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
</style>
